/* Keyframes for login form animation */
@keyframes slideIn {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* Keyframes for submit button animation */
@keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
    100% {
        transform: scale(1);
    }
}

/* Media query for responsiveness */
@media (max-width: 768px) {
    .login-form {
        width: 80%; /* Adjusted width for smaller screens */
    }

    .additional-options {
        width: 80%; /* Match form width */
    }
}

/* Rest of the styles remain the same */

.login-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 100px;
    background-color: #f5f5f5;
}

.login-form {
    width: 350px;
    padding: 40px;
    border-radius: 10px;
    background-color: #ffffff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    animation: slideIn 0.5s ease; /* Apply slideIn animation */
}

.login-form h2 {
    margin-bottom: 30px;
    color: #333333;
    text-align: center;
}

.form-group {
    margin-bottom: 25px;
}

label {
    font-weight: bold;
    color: #444444;
}

input[type="text"],
input[type="password"] {
    width: 100%;
    padding: 12px;
    border: 2px solid #dddddd;
    border-radius: 6px;
    transition: border-color 0.3s ease;
}

input[type="text"]:focus,
input[type="password"]:focus {
    border-color: #007bff;
}

.submit-button {
    width: 100%;
    padding: 12px;
    background-color: #007bff;
    color: #ffffff;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    animation: pulse 1.5s infinite; /* Apply pulse animation */
}

.submit-button:hover {
    background-color: #0056b3;
}

.additional-options {
    display: flex;
    justify-content: space-between;
    width: 350px;
    margin-top: 20px;
}

.additional-options a {
    text-decoration: none;
    color: #007bff;
    font-size: 16px;
    transition: color 0.3s ease;
}

.additional-options a:hover {
    text-decoration: underline;
    color: #0056b3;
}
